SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000883SiT!portalpublic2009-08-17 16:032014-03-08 14:03
Reporterivan 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta2Fixed in VersionCurrent GIT 
Summary0000883: Portal users can't see about page, credits or license
DescriptionI think portal users should be able to see the about page, or at least a version of it, it's important the people know this is a GPL application.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002183)
paulh (administrator)
2009-12-03 19:34

I'm in two minds about this, especially letting people know the version as alot of organisations don't wish to give away two many details as it opens then up to potential vulnerabilities.

Perhaps if we have this there should be a config option to prevent it?
User avatar (0002209)
ivan (administrator)
2009-12-04 10:31

It was the license and information about what software is included in SiT! and credits that I was most keen to display. The version number isn't terribly important to portal users really.

I agree an option could be created for this. My feeling is that we should show an about page, but not show version number unless the option is checked (off by default).

Confirming this myself (bad practice, but paul was doing it first :p) hehe
User avatar (0004926)
paulh (administrator)
2014-03-08 14:03

fixed in git

- Issue History
Date Modified Username Field Change
2009-08-17 16:03 ivan New Issue
2009-12-03 19:34 paulh Note Added: 0002183
2009-12-03 19:34 paulh Status new => feedback
2009-12-04 10:31 ivan Note Added: 0002209
2009-12-04 10:31 ivan Status feedback => confirmed
2014-03-08 14:03 paulh Note Added: 0004926
2014-03-08 14:03 paulh Status confirmed => resolved
2014-03-08 14:03 paulh Resolution open => fixed
2014-03-08 14:03 paulh Fixed in Version => Current GIT
2014-03-08 14:03 paulh Target Version => 3.90beta2


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker